%ITCOUNT   Determine fraction of workers with data in list.out
%          that are in IT-related industries versus non-IT-related 
%          industries.
%
clear
format compact
load list.out
itcodes0  = [321,322,331,341,342,371,440,441,442,510,732,741,752];
itcodes   = [60,172,180,181,182,190,191,192,310,311,  ...
             312,320,321,322,331,332,340,341,342,350,  ...
             351,352,360,361,362,370,371,391,420,421,  ...
             422,440,441,442,500,501,502,510,511,512,  ...
             521,522,530,531,532,540,541,542,550,551,  ...
             552,560,561,562,571,700,701,702,710,711,  ...
             730,732,741,752,841,891,892,893];

year      = list(:,1);
inocclist = list(:,2);
inindlist = list(:,3);
occ       = list(:,4);
ind       = list(:,5);
perwt     = list(:,6);
educrec   = list(:,7);

init      = zeros(11,1);
notinit   = zeros(11,1);
for t=1:11;
  for i=0:1000;
    j   = find((year==1991+t));
    k   = find((year==1991+t) & (ind==i));
    %j   = find((year==1991+t) & (educrec>=8));
    %k   = find((year==1991+t) & (educrec>=8) & (ind==i));
    if any(itcodes==i);
      init(t) = init(t)+sum(perwt(k))/sum(perwt(j))*100
    else
      notinit(t) = notinit(t)+sum(perwt(k))/sum(perwt(j))*100;
    end
  end;
end;
disp('  Year    %IT   %Not-IT')
disp(sprintf('  %4g %7.1f %7.1f\n',[[1992:2002]',init,notinit]'));
