% PlotRD    plot data from BEA R&D satellite accounts

%           Ellen McGrattan, 6-10-09


load rd.dat
load rdtot.dat
t         = rd(1,:)';
total     = rd(2,:)';
itequip   = rd(14,:)';
iteqcomp  = rd(17,:)';
iteqcomm  = rd(20,:)';
iteqsemi  = rd(23,:)';
iteqoth   = sum(rd([26,29],:))';
itserv    = sum(rd([44,47],:))';
itsoft    = rd(44,:)';
itdesign  = rd(47,:)';
itrd      = sum(rd([14,44,47],:))';
chem      = rd(5,:)';
tran      = rd(32,:)';
gdp       = rd(56,:)';

t59       = rdtot(1,:)';
itequip59 = rdtot(7,:)';
gdp59     = rdtot(16,:)';

figure(1)
plot(t,itrd./total*100,'Linewidth',2,'Color','k')
set(gca,'Fontsize',16)
title('IT Share of Private Business Investment in R&D','Fontsize',16)

figure(2)
plot(t,itrd./gdp*100,'Linewidth',2,'Color','k')
set(gca,'Fontsize',16)
title('IT R&D Relative to GDP (%)','Fontsize',16)

figure(3)
plot(t,total./gdp*100,'Linewidth',2,'Color','k')
set(gca,'Fontsize',16)
title('R&D Relative to GDP (%)','Fontsize',16)

figure(4)
plot(t,itrd./gdp*100,'Linewidth',2,'Color','k')
line(t59,itequip59./gdp59*100,'Linewidth',2,'Color','r','Marker','^')
set(gca,'Fontsize',16)
title('IT R&D Relative to GDP (%)','Fontsize',16)
text(1995,.27,'Equipment','Fontsize',16)
text(1982,.60,'Equipment and Services','Fontsize',16)
axis([1959,2004,.1,.8])


